Commit 304956a0 authored by ROOL's avatar ROOL 🤖

Build fixes

Detail:
  Various other components have moved/changed since last touched due to makefile refactoring and similar. Update Browse so it builds again:
  * UnicodeLib's object file got renamed
  * HTTP on disc module name changed
  * URI's header file moved to Interface
Admin:
  Took part in a Browse build. Resulting browser loaded ROOL homepage.

Version 2.17. Tagged as 'Browse-2_17'
parent bee96226
......@@ -274,7 +274,7 @@ WIMPLIB = tbox:o.wimplib
RENDERLIB = tbox:o.renderlib
INETLIB = TCPIPLibs:o.inetlib
SOCKLIB = TCPIPLibs:o.socklib
UNICODELIB = C:Unicode.o.ucodelib
UNICODELIB = C:Unicode.o.ucode
NSPRLIB = C:NSPRLib.o.NSPRLib
JSLIB = C:JSLib.o.JSLib
DEBUGLIB = <Lib$Dir>.Debuglib.o.debuglib
......
......@@ -71,7 +71,7 @@ RMEnsure TextGadgets 0.28 Error Browse requires version 0.28 or later of the
RMEnsure URL_Fetcher 0.41 RMLoad System:Modules.Network.URL.URL
RMEnsure URL_Fetcher 0.41 Error Browse requires version 0.41 or later of the URL module
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.HTTP
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.AcornHTTP
RMEnsure AcornHTTP 0.84 Error Browse requires version 0.84 or later of the HTTP module
RMEnsure FileFetcher 0.38 RMLoad System:Modules.Network.URL.File
RMEnsure FileFetcher 0.38 Error Browse requires version 0.38 or later of the File module
......
......@@ -78,7 +78,7 @@ RMEnsure TextGadgets 0.28 Error Browse requires version 0.28 or later of the
RMEnsure URL_Fetcher 0.41 RMLoad System:Modules.Network.URL.URL
RMEnsure URL_Fetcher 0.41 Error Browse requires version 0.41 or later of the URL module
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.HTTP
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.AcornHTTP
RMEnsure AcornHTTP 0.84 Error Browse requires version 0.84 or later of the HTTP module
RMEnsure FileFetcher 0.38 RMLoad System:Modules.Network.URL.File
RMEnsure FileFetcher 0.38 Error Browse requires version 0.38 or later of the File module
......
......@@ -60,7 +60,7 @@ RMEnsure WindowManager 3.98 Error Browse requires version 3.98 or later of the
| Fetchers
<Browse$Dir>.RMTry -app Browse -name URL_Fetcher -version 0.41 -path System:Modules.Network.URL.URL
<Browse$Dir>.RMTry -app Browse -name AcornHTTP -version 0.84 -path System:Modules.Network.URL.HTTP
<Browse$Dir>.RMTry -app Browse -name AcornHTTP -version 0.84 -path System:Modules.Network.URL.AcornHTTP
<Browse$Dir>.RMTry -app Browse -name FileFetcher -version 0.38 -path System:Modules.Network.URL.File
<Browse$Dir>.RMTry -app Browse -name FTPFetcher -version 0.32 -path System:Modules.Network.URL.FTP
......
......@@ -71,7 +71,7 @@ RMEnsure TextGadgets 0.28 Error Phoenix requires version 0.28 or later of the
RMEnsure URL_Fetcher 0.41 RMLoad System:Modules.Network.URL.URL
RMEnsure URL_Fetcher 0.41 Error Phoenix requires version 0.41 or later of the URL module
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.HTTP
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.AcornHTTP
RMEnsure AcornHTTP 0.84 Error Phoenix requires version 0.84 or later of the HTTP module
RMEnsure FileFetcher 0.38 RMLoad System:Modules.Network.URL.File
RMEnsure FileFetcher 0.38 Error Phoenix requires version 0.38 or later of the File module
......
......@@ -78,7 +78,7 @@ RMEnsure TextGadgets 0.28 Error Phoenix requires version 0.28 or later of the
RMEnsure URL_Fetcher 0.41 RMLoad System:Modules.Network.URL.URL
RMEnsure URL_Fetcher 0.41 Error Phoenix requires version 0.41 or later of the URL module
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.HTTP
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.AcornHTTP
RMEnsure AcornHTTP 0.84 Error Phoenix requires version 0.84 or later of the HTTP module
RMEnsure FileFetcher 0.38 RMLoad System:Modules.Network.URL.File
RMEnsure FileFetcher 0.38 Error Phoenix requires version 0.38 or later of the File module
......
......@@ -60,7 +60,7 @@ RMEnsure WindowManager 3.98 Error Phoenix requires version 3.98 or later of the
| Fetchers
<Phoenix$Dir>.RMTry -app Phoenix -name URL_Fetcher -version 0.41 -path System:Modules.Network.URL.URL
<Phoenix$Dir>.RMTry -app Phoenix -name AcornHTTP -version 0.84 -path System:Modules.Network.URL.HTTP
<Phoenix$Dir>.RMTry -app Phoenix -name AcornHTTP -version 0.84 -path System:Modules.Network.URL.AcornHTTP
<Phoenix$Dir>.RMTry -app Phoenix -name FileFetcher -version 0.38 -path System:Modules.Network.URL.File
<Phoenix$Dir>.RMTry -app Phoenix -name FTPFetcher -version 0.32 -path System:Modules.Network.URL.FTP
......
......@@ -71,7 +71,7 @@ RMEnsure TextGadgets 0.28 Error Browse requires version 0.28 or later of the
RMEnsure URL_Fetcher 0.41 RMLoad System:Modules.Network.URL.URL
RMEnsure URL_Fetcher 0.41 Error Browse requires version 0.41 or later of the URL module
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.HTTP
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.AcornHTTP
RMEnsure AcornHTTP 0.84 Error Browse requires version 0.84 or later of the HTTP module
RMEnsure FileFetcher 0.38 RMLoad System:Modules.Network.URL.File
RMEnsure FileFetcher 0.38 Error Browse requires version 0.38 or later of the File module
......
......@@ -78,7 +78,7 @@ RMEnsure TextGadgets 0.28 Error Browse requires version 0.28 or later of the
RMEnsure URL_Fetcher 0.41 RMLoad System:Modules.Network.URL.URL
RMEnsure URL_Fetcher 0.41 Error Browse requires version 0.41 or later of the URL module
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.HTTP
RMEnsure AcornHTTP 0.84 RMLoad System:Modules.Network.URL.AcornHTTP
RMEnsure AcornHTTP 0.84 Error Browse requires version 0.84 or later of the HTTP module
RMEnsure FileFetcher 0.38 RMLoad System:Modules.Network.URL.File
RMEnsure FileFetcher 0.38 Error Browse requires version 0.38 or later of the File module
......
......@@ -60,7 +60,7 @@ RMEnsure WindowManager 3.98 Error Browse requires version 3.98 or later of the
| Fetchers
<Browse$Dir>.RMTry -app Browse -name URL_Fetcher -version 0.41 -path System:Modules.Network.URL.URL
<Browse$Dir>.RMTry -app Browse -name AcornHTTP -version 0.84 -path System:Modules.Network.URL.HTTP
<Browse$Dir>.RMTry -app Browse -name AcornHTTP -version 0.84 -path System:Modules.Network.URL.AcornHTTP
<Browse$Dir>.RMTry -app Browse -name FileFetcher -version 0.38 -path System:Modules.Network.URL.File
<Browse$Dir>.RMTry -app Browse -name FTPFetcher -version 0.32 -path System:Modules.Network.URL.FTP
......
/* (2.16)
/* (2.17)
*
* This file is automatically maintained by srccommit, do not edit manually.
* Last processed by srccommit version: 1.1.
*
*/
#define Module_MajorVersion_CMHG 2.16
#define Module_MajorVersion_CMHG 2.17
#define Module_MinorVersion_CMHG
#define Module_Date_CMHG 13 Dec 2014
#define Module_Date_CMHG 11 Jan 2020
#define Module_MajorVersion "2.16"
#define Module_Version 216
#define Module_MajorVersion "2.17"
#define Module_Version 217
#define Module_MinorVersion ""
#define Module_Date "13 Dec 2014"
#define Module_Date "11 Jan 2020"
#define Module_ApplicationDate "13-Dec-14"
#define Module_ApplicationDate "11-Jan-20"
#define Module_ComponentName "Browse"
#define Module_ComponentPath "castle/RiscOS/Sources/Apps/Browse"
#define Module_FullVersion "2.16"
#define Module_HelpVersion "2.16 (13 Dec 2014)"
#define Module_LibraryVersionInfo "2:16"
#define Module_FullVersion "2.17"
#define Module_HelpVersion "2.17 (11 Jan 2020)"
#define Module_LibraryVersionInfo "2:17"
......@@ -36,7 +36,7 @@
#include <kernel.h>
#include <swis.h>
#include <URI.h>
#include "Interface/URI.h"
#include <tboxlibs/wimp.h>
#include <tboxlibs/wimplib.h>
......
......@@ -40,7 +40,7 @@
#include <tboxlibs/flex.h>
#include <HTMLLib/HTMLLib.h>
#include <URI.h>
#include "Interface/URI.h"
#include <tboxlibs/wimp.h>
#include <tboxlibs/wimplib.h>
......
......@@ -65,7 +65,7 @@
#include <kernel.h>
#include <swis.h>
#include <URI.h>
#include "Interface/URI.h"
#include <tboxlibs/wimp.h>
#include <tboxlibs/wimplib.h>
......
......@@ -32,7 +32,7 @@
#include <kernel.h>
#include <swis.h>
#include <URI.h>
#include "Interface/URI.h"
#include <tboxlibs/wimp.h>
#include <tboxlibs/event.h>
......
......@@ -29,7 +29,7 @@
#define Browser_URLutils__
#include <kernel.h>
#include <URI.h> /* URI handler API, in C:h.URI, exported by the URI module */
#include "Interface/URI.h" /* URI handler API, in C:h.URI, exported by the URI module */
#include "Global.h"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment